﻿using Squirrel.DataModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Squirrel.BusinessLogicsContracts;

public interface ISalaryBusinessLogicContract
{
    List<SalaryDataModel> GetAllSalariesByPeriod(DateTime fromDate, DateTime toDate);
    List<SalaryDataModel> GetAllSalariesByPeriodByWorker(DateTime fromDate, DateTime toDate, string workerId);
    void CalculateSalaryByMounth(DateTime date);
}