﻿using Squirrel.DataModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Squirrel.StoragesContracts;

public interface ISaleStorageContract
{
    List<SaleDataModel> GetList(DateTime? startDate = null, DateTime? endDate = null, string? workerId = null, string? guestId = null, string? productId = null);
    SaleDataModel? GetElementById(string id);
    void AddElement(SaleDataModel saleDataModel);
    void DelElement(string id);
}
